package net.knarcraft.bookswithoutborders.state;

/**
 * This enum represents the different states of a player holding a given item
 */
public enum HoldingItemState {

    /**
     * The player is holding one item in each hand
     */
    BOTH_HANDS,

    /**
     * The player is holding one item in their main hand
     */
    MAIN_HAND,

    /**
     * The player is holding one item in their off hand
     */
    OFF_HAND,

    /**
     * The player is not holding any items
     */
    NONE

}
